// scripts/prepare_upgrade.js
async function main() {
  const proxyAddress = '0x863dCa3ec27b12D2005f3cD857eD56153852B224';
 
  const BoxV2 = await ethers.getContractFactory("BoxV2");
  console.log("upgrade...");
  const boxv2 = await upgrades.upgradeProxy(proxyAddress, BoxV2);
  await boxv2.waitForDeployment();
  const boxv2Address = await boxv2.getAddress();
  
  console.log("BoxV2 at:", boxv2Address);
}
 
main()
  .then(() => process.exit(0))
  .catch(error => {
    console.error(error);
    process.exit(1);
  });

